RUNCON(1)

NAME
runcon - run command with specified security context

SYNOPSIS
runcon [-c] [-t TYPE] [-l LEVEL] [-u USER] [-r ROLE] COMMAND [ARGS...]

or

runcon CONTEXT COMMAND [args...]

DESCRIPTION

Run COMMAND with completely-specified CONTEXT, or with current or transitioned security context modified by one or more of LEVEL, ROLE, TYPE, and USER.

-c  compute process transition before modifying context

-t  change current type to the specified type

-l  change current level range to the specified range

-r  change current role to the specified role

-u  change current user to the specified user

If none of -c, -t, -u, -r, or -l, is specified, the first argument is used as the complete context. Any additional arguments after COMMAND are interpreted as arguments to the command.

Note that only carefully-chosen contexts are likely to successfully run.